## org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL
Interface AssignExp

All Superinterfaces:
  ImperativeExpression

All Known Implementing Classes:
  AssignExpImpl

    public interface AssignExp

extends ImperativeExpression

A representation of the model object 'Assign Exp'.

The following features are supported:

- `Default Value`
- `Is Reset`
- `Left`
- `Value`

See Also:
  `ImperativeOCLPackage.getAssignExp()`

Method Summary
`OCLExpression` `getDefaultValue()` Returns the value of the 'Default Value' containment reference
`OCLExpression` `getLeft()` Returns the value of the 'Left' containment reference
`<any>` `getValue()` Returns the value of the 'Value' containment reference list.
`boolean` `isIsReset()` Returns the value of the 'Is Reset' attribute
`boolean` `isSetIsReset()` Returns whether the value of the '`Is Reset`' attribute is set
`void` `setDefaultValue(OCLExpression value)` Sets the value of the '`Default Value`' containment reference
`void` `setIsReset(boolean value)` Sets the value of the '`Is Reset`' attribute
`void` `setLeft(OCLExpression value)` Sets the value of the '`Left`' containment reference
`void` `unsetIsReset()` Unsets the value of the '`Is Reset`' attribute

Method Detail

### getDefaultValue

    OCLExpression getDefaultValue()

  Returns the value of the 'Default Value' containment reference.

  If the meaning of the 'Default Value' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Default Value' containment reference.
  See Also:
    `setDefaultValue(OCLExpression)`, `ImperativeOCLPackage.getAssignExp_DefaultValue()`

### setDefaultValue

    void setDefaultValue(OCLExpression value)

  Sets the value of the '`Default Value`' containment reference.

  Parameters:
    `value` - the new value of the 'Default Value' containment reference.
  See Also:
    `getDefaultValue()`

### isIsReset

    boolean isIsReset()

  Returns the value of the 'Is Reset' attribute.

  If the meaning of the 'Is Reset' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Is Reset' attribute.
  See Also:
    `isSetIsReset()`, `unsetIsReset()`, `setIsReset(boolean)`, `ImperativeOCLPackage.getAssignExp_IsReset()`

### setIsReset

    void setIsReset(boolean value)

  Sets the value of the '`Is Reset`' attribute.

  Parameters:
    `value` - the new value of the 'Is Reset' attribute.
  See Also:
    `isSetIsReset()`, `unsetIsReset()`, `isIsReset()`

### unsetIsReset

    void unsetIsReset()

  Unsets the value of the '`Is Reset`' attribute.

  See Also:
    `isSetIsReset()`, `isIsReset()`, `setIsReset(boolean)`

### isSetIsReset

    boolean isSetIsReset()

  Returns whether the value of the '`Is Reset`' attribute is set.

  Returns:
    whether the value of the 'Is Reset' attribute is set.
  See Also:
    `unsetIsReset()`, `isIsReset()`, `setIsReset(boolean)`

### getLeft

    OCLExpression getLeft()

  Returns the value of the 'Left' containment reference.

  If the meaning of the 'Left' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Left' containment reference.
  See Also:
    `setLeft(OCLExpression)`, `ImperativeOCLPackage.getAssignExp_Left()`

### setLeft

    void setLeft(OCLExpression value)

  Sets the value of the '`Left`' containment reference.

  Parameters:
    `value` - the new value of the 'Left' containment reference.
  See Also:
    `getLeft()`

### getValue

    <any> getValue()

  Returns the value of the 'Value' containment reference list. The list contents are of type `org.eclipse.ocl.ecore.OCLExpression`.

  If the meaning of the 'Value' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value' containment reference list.
  See Also:
    `ImperativeOCLPackage.getAssignExp_Value()`

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.